# Created by pyp2rpm-3.3.4
%global pypi_name exam

Name:           python-%{pypi_name}
Version:        0.10.6
Release:        %mkrel 4
Summary:        Helpers for better testing
Group:          Development/Python
License:        MIT
URL:            https://github.com/fluxx/exam
Source0:        https://files.pythonhosted.org/packages/source/e/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(mock)
BuildRequires:  python3dist(nose)
BuildRequires:  python3dist(pep8)
BuildRequires:  python3dist(pyflakes)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)

%description
Exam is a Python toolkit for writing better tests. It aims to remove a lot of the boiler
plate testing code one often writes, while still following Python conventions and adhering
to the unit testing interface.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Exam is a Python toolkit for writing better tests. It aims to remove a lot of the boiler
plate testing code one often writes, while still following Python conventions and adhering
to the unit testing interface.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%doc README.rst
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Tue Mar 29 2022 umeabot <umeabot> 0.10.6-4.mga9
+ Revision: 1833347
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 0.10.6-3.mga9
+ Revision: 1784977
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 0.10.6-2.mga9
+ Revision: 1732567
- Rebuild for python 3.9

* Fri May 08 2020 wally <wally> 0.10.6-1.mga8
+ Revision: 1581838
- imported package python-exam

